Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java
Class Preferences

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport
            |
            +--com.jxml.quick.util.qjml2java.Preferences

All Implemented Interfaces:
  Item, OCMbase, OCMsink

public class Preferences
extends OCMsinkSupport

Inner Class Summary
`class` | `Preferences.SubPreferences`

Inner classes inherited from class com.jxml.quick.ocm.OCMsinkSupport
`OCMsinkSupport.SubSinkSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsink
`OCMsink.SubSink`

Inner classes inherited from class com.jxml.quick.ocm.OCMbase
`OCMbase.SubBase`

Field Summary
`String` | `genPackage`
`boolean` | `oneNewClass`
`boolean` | `printFullConst`
`boolean` | `printMoreMethods` convenience methods (add, getXXX(i), ...)
`boolean` | `printPrint` useful for debugging
`boolean` | `printQAware`
`boolean` | `printXPath`
`boolean` | `setParents`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport
`expressDefaults, genNbr, prefix, source, validator`

Constructor Summary
`Preferences()`

Method Summary
`OCMbase.SubBase` | `spawn(HashMap prior)` Creates a processing structure.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport
`createSink, createSink, eval, exec, setSource, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printQAware

    public boolean printQAware

### setParents

    public boolean setParents

### printPrint

    public boolean printPrint

  useful for debugging

### printXPath

    public boolean printXPath

### printFullConst

    public boolean printFullConst

### oneNewClass

    public boolean oneNewClass

### printMoreMethods

    public boolean printMoreMethods

  convenience methods (add, getXXX(i), ...)

### genPackage

    public String genPackage

Constructor Detail

### Preferences

    public Preferences()

Method Detail

### spawn

    public OCMbase.SubBase spawn(HashMap prior)

  Description copied from interface: `OCMbase`
  Creates a processing structure.
  Overrides:
    `spawn` in class `OCMsinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMbase`
  Parameters:
    `prior` - A table of already spawned objects, keyed by their base object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD